#include<iostream>
#include<fstream>
using namespace std;
int main()
{
	ifstream f1;f1.open("DE006.INP");
	long long n,i,a,min;
	f1>>n;
	min=0;
	for(i=1;i<=n;i++) 
	{
		f1>>a;
		if(a<min) min=a;
	}
	f1.close();
	
	
	ofstream f2;f2.open("DE006.OUT");
	f2<<min;
	f2.close();
}
